## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iHalo Member List

This is the complete list of members for iHalo, including all inherited members.

AddRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
DecRef()=0 | iBase | `[pure virtual]`
Draw(float x, float y, float w, float h, float iIntensity, csVector2 *iVertices, size_t iVertCount)=0 | iHalo | `[pure virtual]`
GetColor(float &oR, float &oG, float &oB)=0 | iHalo | `[pure virtual]`
GetHeight()=0 | iHalo | `[pure virtual]`
GetRefCount()=0 | iBase | `[pure virtual]`
GetWidth()=0 | iHalo | `[pure virtual]`
IncRef()=0 | iBase | `[pure virtual]`
QueryInterface(scfInterfaceID iInterfaceID, int iVersion)=0 | iBase | `[pure virtual]`
RemoveRefOwner(iBase **ref_owner)=0 | iBase | `[pure virtual]`
SetColor(float &iR, float &iG, float &iB)=0 | iHalo | `[pure virtual]`